Search documentation of ash

# Ash.Error.Query.NoSuchFilterPredicate exception (ash v3.4.71)

View Source

Used when a filter predicate that does not exist is referenced

# Summary

## Functions

exception(msg)

Create an `Elixir.Ash.Error.Query.NoSuchFilterPredicate` without raising it.

# Functions

# exception(msg)

    @spec exception(opts :: Keyword.t()) :: %Ash.Error.Query.NoSuchFilterPredicate{
      __exception__: true,
      bread_crumbs: term(),
      class: term(),
      key: term(),
      message: term(),
      path: term(),
      resource: term(),
      splode: term(),
      stacktrace: term(),
      value: term(),
      vars: term()
    }

Create an `Elixir.Ash.Error.Query.NoSuchFilterPredicate` without raising it.

## Keys

- :message
- :value
- :key
- :resource